<?xml version="1.0" encoding="UTF-8"?>
<!-- set the following statement to define the namespace used for the user data (as used in the xml device profile instance file)
      and then replace all occurrences of namespace xxx in this stylesheet. Unused userDataSection templates must not be deleted. -->
<!--<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" 
xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xxx="http://www.xxx.com"> -->

<!-- Stylesheet customised for the device profile extensions used by Rockwell Automation with the ML1400 device.
      For this device customisation is done to part 3 of the device profile  -->

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" 
xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:rcw="http://www.RockwellAutomation.com">

	<xsl:output method="html" encoding="ISO-8859-1"/>

	<xsl:template name="userDataSection1-1">
		<xsl:param name="path"/>
		<!-- Section 1.1.14  -->
		<tr>
			<td width="35%" valign="top">1.1.14. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-2">
		<xsl:param name="path"/>
		<!-- Section 1.2.9  -->
		<tr>
			<td width="35%" valign="top">1.2.9. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-3">
		<xsl:param name="path"/>
		<!-- Section 1.3.18  -->
		<tr>
			<td width="35%" valign="top">1.3.18. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-4">
		<xsl:param name="path"/>
		<!-- Section 1.4.10  -->
		<tr>
			<td width="35%" valign="top">1.4.10. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-5">
		<xsl:param name="path"/>
		<!-- Section 1.5.9  -->
		<tr>
			<td width="35%" valign="top">1.5.9. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-6">
		<xsl:param name="path"/>
		<!-- Section 1.6.12  -->
		<tr>
			<td width="35%" valign="top">1.6.12. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-7">
		<xsl:param name="path"/>
		<!-- Section 1.7.10  -->
		<tr>
			<td width="35%" valign="top">1.7.10. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-8">
		<xsl:param name="path"/>
		<!-- Section 1.8.5  -->
		<tr>
			<td width="35%" valign="top">1.8.5. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-9">
		<xsl:param name="path"/>
		<!-- Section 1.9.11  -->
		<tr>
			<td width="35%" valign="top">1.9.11. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-10">
		<xsl:param name="path"/>
		<!-- Section 1.10.9  -->
		<tr>
			<td width="35%" valign="top">1.10.9. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="userDataSection1-11">
		<xsl:param name="path"/>
		<!-- Section 1.11.5  -->
		<tr>
			<td width="35%" valign="top">1.11.5. User Data:<p/>
				<i>A user data entry</i>
			</td>
			<td width="35%" valign="top">&#160;
			</td>
			<td width="20%" valign="baseline">&#160;
			</td>
			<td width="10%" valign="baseline">
				<xsl:call-template name="methodsBox-xxx">
					<xsl:with-param name="path" select="$path/xxx:xxx/xxx:methods"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="userDataSection1">
		<xsl:param name="path"/>
		<p/>
		<table border="1" align="center" width="90%" cellspacing="0" cellpadding="3">
			<!-- first line of table heading -->
			<tr bgcolor="yellow">
				<b>
					<th align="left" width="35%">
						<font face="Times New Roman" style="font-variant: small-caps;">
							1.13
					</font>
				</th>
				<th align="left" width="35%">Capabilities</th>
				<th align="left" width="20%">Current Value</th>
				<th align="left" width="10%">If configurable list methods</th>
			</b>
		</tr>
			<tbody>
				<!-- Section 1.13.1  -->
			</tbody>
		</table>
	</xsl:template>

	<!-- template to display methods for xxx namespace -->
	<xsl:template name="methodsBox-xxx">
		<xsl:param name="path"/>
		<xsl:if test="$path/xxx:xmlViaFileTransfer">XML via File Transfer<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/xxx:xmlViaOtherTransportMechanism">XML via Other Mechanism<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/xxx:proprietaryFileViaFileTransfer">Proprietary File via File Transfer<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/xxx:proprietaryFileViaOtherTransportMechanism">Proprietary File via Other Mechanism<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/xxx:terminal">terminal<br/>----------------<br/></xsl:if>
		<xsl:if test="$path/xxx:software">
			software <b>
				<xsl:value-of select="$path/xxx:software/xxx:name"/>
			</b>
			<xsl:if test="$path/xxx:software/xxx:version"> Vers </xsl:if><b>
				<xsl:value-of select="$path/xxx:software/xxx:version"/>
			</b>
			<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/xxx:direct">direct<br/>----------------<br/></xsl:if>
		<xsl:if test="$path/xxx:factory">factory<br/>----------------<br/></xsl:if>
		<xsl:if test="$path/xxx:protocol">protocol<br/>----------------<br/></xsl:if>
		<xsl:if test="$path/xxx:other">other<br/>(<xsl:value-of select="$path/xxx:other/xxx:explanation"/>)</xsl:if>
		<!-- in case there are no methods, we need a space to format the display correctly -->
		<font color="white">&#160;</font>
	</xsl:template>

	<!-- customised template for Rockwell Automation ML1400 device -->
	<xsl:template name="userDataSection3">
		<xsl:param name="path"/>
		<p/>
		<table border="1" align="center" width="90%" cellspacing="0" cellpadding="3">
			<tr bgcolor="yellow">
				<b>
					<th align="left" colspan="4">
						<font face="Times New Roman" style="font-variant: small-caps;">
							<big>3.12. Binary Coded Decimal Points</big>
						</font>
						<br/>Static (Steady-State) Object Number: <b>101</b>
						<br/>Event Object Number: <b>101</b>
					</th>
				</b>
			</tr>
			<xsl:call-template name="titleBoxCapabilities"/>
			<!-- 3.12.1 Static Variation reported when variation 0 requested -->
			<xsl:if test="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation">
				<tr bgcolor="white">
					<td width="35%" valign="top">3.12.1. Static Variation reported when variation 0 requested</td>
					<td width="35%" valign="top">
						<xsl:call-template name="variation1-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation"/>
						</xsl:call-template> - Binary Coded Decimal Integers (small)<br/>
						<xsl:call-template name="variation2-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation"/>
						</xsl:call-template> - Binary Coded Decimal Integers (medium)<br/>
						<xsl:call-template name="variation3-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation"/>
						</xsl:call-template> - Binary Coded Decimal Integers (large)<br/>
						<xsl:call-template name="variationPointIndex-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation"/>
						</xsl:call-template>
						<xsl:call-template name="showNotesCap-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation"/>
						</xsl:call-template>
					</td>
					<xsl:choose>
						<xsl:when test="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation/rcw:currentValue">
							<td width="20%" valign="baseline">
								<xsl:call-template name="variationCurrentValue-rcw">
									<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation"/>
								</xsl:call-template>
								<xsl:call-template name="showNotesCV-rcw">
									<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation"/>
								</xsl:call-template>
								&#160;
							</td>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="whiteBox20"/>
						</xsl:otherwise>
					</xsl:choose>
					<td width="10%" valign="baseline">
						<xsl:call-template name="methodsBox-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultStaticVariation/rcw:methods"/>
						</xsl:call-template>
					</td>
				</tr>
			</xsl:if>
			<!-- 3.12.2 Event Variation reported when variation 0 requested -->
			<xsl:if test="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation">
				<tr bgcolor="white">
					<td width="35%" valign="top">3.12.2. Event Variation reported when variation 0 requested:
						<p/><i></i>
					</td>
					<td width="35%" valign="top">
						<xsl:call-template name="variation1-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation"/>
						</xsl:call-template> - Binary Coded Decimal Integers (small)<br/>
						<xsl:call-template name="variation2-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation"/>
						</xsl:call-template> - Binary Coded Decimal Integers (medium)<br/>
						<xsl:call-template name="variation3-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation"/>
						</xsl:call-template> - Binary Coded Decimal Integers (large)<br/>
						<xsl:call-template name="variationPointIndex-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation"/>
						</xsl:call-template>
						<xsl:call-template name="showNotesCap-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation"/>
						</xsl:call-template>
					</td>
					<xsl:choose>
						<xsl:when test="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation/rcw:currentValue">
							<td width="20%" valign="baseline">
								<xsl:call-template name="variationCurrentValue-rcw">
									<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation"/>
								</xsl:call-template>
								<xsl:call-template name="showNotesCV-rcw">
									<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation"/>
								</xsl:call-template>
								&#160;
							</td>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="whiteBox20"/>
						</xsl:otherwise>
					</xsl:choose>
					<td width="10%" valign="baseline">
						<xsl:call-template name="methodsBox-rcw">
							<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:defaultEventVariation/rcw:methods"/>
						</xsl:call-template>
					</td>
				</tr>
			</xsl:if>
			<!-- 3.12.3 Event reporting mode -->
			<xsl:if test="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:eventReportingMode">
				<tr bgcolor="white">
					<td width="35%" valign="top">3.12.3. Event reporting mode:
				<p/>
						<i>
							<xsl:value-of select="$evtext"/>
							<br/>All events are typically reported for Binary Coded Decimal Integers. </i>
					</td>
					<xsl:call-template name="evmode-rcw">
						<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:eventReportingMode"/>
					</xsl:call-template>
				</tr>
			</xsl:if>
			<!-- 3.12.4 Binary Inputs included in Class 0 response -->
			<xsl:if test="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:class0ResponseMode">
				<tr bgcolor="white">
					<td width="35%" valign="top">3.12.4. Binary Inputs included in Class 0 response:</td>
					<xsl:call-template name="class0Mode-rcw">
						<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:class0ResponseMode"/>
					</xsl:call-template>
				</tr>
			</xsl:if>
			<!-- 3.12.5 Definition of Binary Coded Decimal Integers Point List -->
			<xsl:if test="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:pointListDefinition">
				<tr bgcolor="white">
					<td width="35%" valign="top">3.12.5. Definition of Binary Coded Decimal Integers Point List:<p/>
						<i>
							<xsl:value-of select="$pointListText"/>
							<p/>
						</i>
					</td>
					<xsl:call-template name="pointListDefinition-rcw">
						<xsl:with-param name="path" select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:configuration/rcw:pointListDefinition"/>
					</xsl:call-template>
				</tr>
			</xsl:if>
		</table>
		<!-- now put out the Binary Coded Decimal Integers Point List -->
		<table border="1" align="center" width="90%" cellspacing="0" cellpadding="3">
			<caption align="left">
				<br/>Binary Coded Decimal Integers points list:</caption>
			<tr bgcolor="lightyellow">
				<td width="4%" align="center" style="writing-mode:tb-rl">Point Index</td>
				<td width="10%" align="center">Name</td>
				<td width="6%" align="center" style="writing-mode:tb-rl">Event Class Assigned (1, 2, 3 or none)</td>
				<td width="80%" align="center">Description</td>
			</tr>
			<xsl:for-each select="$path/rcw:rcw/rcw:binaryCodedDecimalGroup/rcw:dataPoints/rcw:binaryCodedDecimalInput">
				<tr bgcolor="white">
					<td width="4%" align="center">
						<xsl:value-of select="./rcw:index"/>&#160;
					</td>
					<td width="10%" align="left">
						<xsl:value-of select="./rcw:name"/>&#160;
					</td>
					<td width="6%" align="left">
						<xsl:value-of select="./rcw:changeEventClass"/>&#160;
					</td>
					<td width="80%" align="left">
						<xsl:value-of select="./rcw:description"/>&#160;
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	
	<!-- template to put out a tickbox for variation 1 in rcw namespace (modified from standard DNP3 xslt file) -->
	<xsl:template name="variation1-rcw">
		<xsl:param name="path"/>
		<xsl:choose>
			<xsl:when test="$path/rcw:capabilities/rcw:one">
				<input type="checkbox" name="box" checked=""/>
			</xsl:when>
			<xsl:otherwise>
				<input type="checkbox" name="box"/>
			</xsl:otherwise>
		</xsl:choose>
		<label for="box"/>&#x20;Variation 1
	</xsl:template>
	<!-- template to put out a tickbox for variation 2 in rcw namespace (modified from standard DNP3 xslt file) -->
	<xsl:template name="variation2-rcw">
		<xsl:param name="path"/>
		<xsl:choose>
			<xsl:when test="$path/rcw:capabilities/rcw:two">
				<input type="checkbox" name="box" checked=""/>
			</xsl:when>
			<xsl:otherwise>
				<input type="checkbox" name="box"/>
			</xsl:otherwise>
		</xsl:choose>
		<label for="box"/>&#x20;Variation 2
	</xsl:template>
	<!-- template to put out a tickbox for variation 3 in rcw namespace (modified from standard DNP3 xslt file) -->
	<xsl:template name="variation3-rcw">
		<xsl:param name="path"/>
		<xsl:choose>
			<xsl:when test="$path/rcw:capabilities/rcw:three">
				<input type="checkbox" name="box" checked=""/>
			</xsl:when>
			<xsl:otherwise>
				<input type="checkbox" name="box"/>
			</xsl:otherwise>
		</xsl:choose>
		<label for="box"/>&#x20;Variation 3
	</xsl:template>
	<!-- template to put out a tickbox for variation based on point index for rcw namespace (modified from standard DNP3 xslt file) -->
	<xsl:template name="variationPointIndex-rcw">
		<xsl:param name="path"/>
		<xsl:choose>
			<xsl:when test="$path/rcw:capabilities/rcw:basedOnPointIndex">
				<input type="checkbox" name="box" checked=""/>
			</xsl:when>
			<xsl:otherwise>
				<input type="checkbox" name="box"/>
			</xsl:otherwise>
		</xsl:choose>
		<label for="box"/>&#x20;Based on point index
	</xsl:template>
	<!-- templates to put out a notes box of the indicated table column for rcw namespace (modified from standard DNP3 xslt file)  -->
	<xsl:template name="showNotesCap-rcw">
		<xsl:param name="path"/>
		<xsl:if test="$notes = 'yes'">
			<xsl:for-each select="$path/rcw:capabilities/rcw:note">
				<br/>
				<table border="0" width="100%" bgcolor="PaleGreen">
					<tbody>
						<tr>
							<td>Note: <xsl:value-of select="."/>
							</td>
						</tr>
					</tbody>
				</table>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<!-- template to put out a current value for variation for rcw namespace (modified from standard DNP3 xslt file) -->
	<xsl:template name="variationCurrentValue-rcw">
		<xsl:param name="path"/>
		<xsl:if test="$path/rcw:currentValue/rcw:one">One</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:two">Two</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:three">Three</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:four">Four</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:five">Five</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:six">Six</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:seven">Seven</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:eight">Eight</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:nine">Nine</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:ten">Ten</xsl:if>
		<xsl:if test="$path/rcw:currentValue/rcw:basedOnPointIndex">Based on point index</xsl:if>
	</xsl:template>
	<!-- template to put out an entry for the event reporting mode for rcw namesapce (modified from standard DNP3 xslt file) -->
	<xsl:template name="evmode-rcw">
		<xsl:param name="path"/>
		<td width="35%" valign="top">
			<xsl:choose>
				<xsl:when test="$path/rcw:capabilities/rcw:mostRecent">
					<input type="checkbox" name="box" checked=""/>
				</xsl:when>
				<xsl:otherwise>
					<input type="checkbox" name="box"/>
				</xsl:otherwise>
			</xsl:choose>
			<label for="box"/>&#x20;Only most recent<br/>
			<xsl:choose>
				<xsl:when test="$path/rcw:capabilities/rcw:allEvents">
					<input type="checkbox" name="box" checked=""/>
				</xsl:when>
				<xsl:otherwise>
					<input type="checkbox" name="box"/>
				</xsl:otherwise>
			</xsl:choose>
			<label for="box"/>&#x20;All events
			<xsl:call-template name="showNotesCap-rcw">
				<xsl:with-param name="path" select="$path"/>
			</xsl:call-template>
		</td>
		<xsl:choose>
			<xsl:when test="$path/rcw:currentValue">
				<td width="20%" valign="baseline">
					<xsl:if test="$path/rcw:currentValue/rcw:mostRecent">Most recent</xsl:if>
					<xsl:if test="$path/rcw:currentValue/rcw:allEvents">All events</xsl:if>
					<xsl:call-template name="showNotesCV-rcw">
						<xsl:with-param name="path" select="$path"/>
					</xsl:call-template>
					&#160;
				</td>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="whiteBox20"/>
			</xsl:otherwise>
		</xsl:choose>
		<td width="10%" valign="baseline">
			<xsl:call-template name="methodsBox-rcw">
				<xsl:with-param name="path" select="$path/rcw:methods"/>
			</xsl:call-template>
		</td>
	</xsl:template>
	<!-- template to display methods for rcw namespace (modified from standard DNP3 xslt file) -->
	<xsl:template name="methodsBox-rcw">
		<xsl:param name="path"/>
		<xsl:if test="$path/rcw:xmlViaFileTransfer">XML via File Transfer<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/rcw:xmlViaOtherTransportMechanism">XML via Other Mechanism<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/rcw:proprietaryFileViaFileTransfer">Proprietary File via File Transfer<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/rcw:proprietaryFileViaOtherTransportMechanism">Proprietary File via Other Mechanism<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/rcw:terminal">terminal<br/>----------------<br/></xsl:if>
		<xsl:if test="$path/rcw:software">
			software <b>
				<xsl:value-of select="$path/rcw:software/rcw:name"/>
			</b>
			<xsl:if test="$path/rcw:software/rcw:version"> Vers </xsl:if><b>
				<xsl:value-of select="$path/rcw:software/rcw:version"/>
			</b>
			<br/>----------------<br/>
		</xsl:if>
		<xsl:if test="$path/rcw:direct">direct<br/>----------------<br/></xsl:if>
		<xsl:if test="$path/rcw:factory">factory<br/>----------------<br/></xsl:if>
		<xsl:if test="$path/rcw:protocol">protocol<br/>----------------<br/></xsl:if>
		<xsl:if test="$path/rcw:other">other<br/>(<xsl:value-of select="$path/rcw:other/rcw:explanation"/>)</xsl:if>
		<!-- in case there are no methods, we need a space to format the display correctly -->
		<font color="white">&#160;</font>
	</xsl:template>
	<xsl:template name="showNotesCV-rcw">
		<xsl:param name="path"/>
		<xsl:if test="$notes = 'yes'">
			<xsl:for-each select="$path/rcw:currentValue/rcw:note">
				<br/>
				<table border="0" width="100%" bgcolor="PaleGreen">
					<tbody>
						<tr>
							<td>Note: <xsl:value-of select="."/>
							</td>
						</tr>
					</tbody>
				</table>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<!-- template to put out an entry for the class 0 response mode for rcw namespace (modified from standard DNP3 xslt file)-->
	<xsl:template name="class0Mode-rcw">
		<xsl:param name="path"/>
		<td width="35%" valign="top">
			<xsl:choose>
				<xsl:when test="$path/rcw:capabilities/rcw:always">
					<input type="checkbox" name="box" checked=""/>
				</xsl:when>
				<xsl:otherwise>
					<input type="checkbox" name="box"/>
				</xsl:otherwise>
			</xsl:choose>
			<label for="box"/>&#x20;Always<br/>
			<xsl:choose>
				<xsl:when test="$path/rcw:capabilities/rcw:never">
					<input type="checkbox" name="box" checked=""/>
				</xsl:when>
				<xsl:otherwise>
					<input type="checkbox" name="box"/>
				</xsl:otherwise>
			</xsl:choose>
			<label for="box"/>&#x20;Never<br/>
			<xsl:choose>
				<xsl:when test="$path/rcw:capabilities/rcw:onlyWhenAssignedToClass123">
					<input type="checkbox" name="box" checked=""/>
				</xsl:when>
				<xsl:otherwise>
					<input type="checkbox" name="box"/>
				</xsl:otherwise>
			</xsl:choose>
			<label for="box"/>&#x20;Only if point is assigned to Class 1, 2, or 3<br/>
			<xsl:choose>
				<xsl:when test="$path/rcw:capabilities/rcw:basedOnPointIndex">
					<input type="checkbox" name="box" checked=""/>
				</xsl:when>
				<xsl:otherwise>
					<input type="checkbox" name="box"/>
				</xsl:otherwise>
			</xsl:choose>
			<label for="box"/>&#x20;Based on point index
			<xsl:call-template name="showNotesCap-rcw">
				<xsl:with-param name="path" select="$path"/>
			</xsl:call-template>
		</td>
		<xsl:choose>
			<xsl:when test="$path/rcw:currentValue">
				<td width="20%" valign="baseline">
					<xsl:if test="$path/rcw:currentValue/rcw:always">Always</xsl:if>
					<xsl:if test="$path/rcw:currentValue/rcw:never">Never</xsl:if>
					<xsl:if test="$path/rcw:currentValue/rcw:onlyWhenAssignedToClass123">If assigned</xsl:if>
					<xsl:if test="$path/rcw:currentValue/rcw:basedOnPointIndex">Based on point index</xsl:if>
					<xsl:call-template name="showNotesCV-rcw">
						<xsl:with-param name="path" select="$path"/>
					</xsl:call-template>
					&#160;
				</td>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="whiteBox20"/>
			</xsl:otherwise>
		</xsl:choose>
		<td width="10%" valign="baseline">
			<xsl:call-template name="methodsBox-rcw">
				<xsl:with-param name="path" select="$path/rcw:methods"/>
			</xsl:call-template>
		</td>
	</xsl:template>
	<!-- template to put out an entry for the points list definition for the rcw namespace (modified from standard DNP3 xslt file) -->
	<xsl:template name="pointListDefinition-rcw">
		<xsl:param name="path"/>
		<td width="35%" valign="top">
			<xsl:choose>
				<xsl:when test="$path/rcw:capabilities/rcw:fixed">
					<input type="checkbox" name="box" checked=""/>
				</xsl:when>
				<xsl:otherwise>
					<input type="checkbox" name="box"/>
				</xsl:otherwise>
			</xsl:choose>
			<label for="box"/>&#x20;Fixed, list shown in table below<br/>
			<xsl:choose>
				<xsl:when test="$path/rcw:capabilities/rcw:configurable">
					<input type="checkbox" name="box" checked=""/>
				</xsl:when>
				<xsl:otherwise>
					<input type="checkbox" name="box"/>
				</xsl:otherwise>
			</xsl:choose>
			<label for="box"/>&#x20;Configurable (current list may be shown in table below)<br/>
			<xsl:choose>
				<xsl:when test="$path/rcw:capabilities/rcw:other">
					<input type="checkbox" name="box" checked=""/>
				</xsl:when>
				<xsl:otherwise>
					<input type="checkbox" name="box"/>
				</xsl:otherwise>
			</xsl:choose>
			<label for="box"/>&#x20;Other, explain<br/>
			<xsl:call-template name="showNotesCap-rcw">
				<xsl:with-param name="path" select="$path"/>
			</xsl:call-template>
		</td>
		<xsl:choose>
			<xsl:when test="$path/rcw:currentValue">
				<td width="20%" valign="baseline">
					<xsl:if test="$path/rcw:currentValue/rcw:fixed">Fixed</xsl:if>
					<xsl:if test="$path/rcw:currentValue/rcw:canBeUninstalled">Can be uninstalled</xsl:if>
					<xsl:if test="$path/rcw:currentValue/rcw:configurable">Configurable</xsl:if>
					<xsl:if test="$path/rcw:currentValue/rcw:other">Other</xsl:if>
					<xsl:call-template name="showNotesCV-rcw">
						<xsl:with-param name="path" select="$path"/>
					</xsl:call-template>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="whiteBox20"/>
			</xsl:otherwise>
		</xsl:choose>
		<td width="10%" valign="baseline">
			<xsl:call-template name="methodsBox-rcw">
				<xsl:with-param name="path" select="$path/rcw:methods"/>
			</xsl:call-template>
		</td>
	</xsl:template>
</xsl:stylesheet>
